#include "AnalysisForm.h"

AnalysisForm::AnalysisForm(QWidget *parent) : QMainWindow(parent)
{
	ui = new Ui::AnalysisForm();
	ui->setupUi(this);

	mRootWidget = new TQtWidget(this,"canvas");
	ui->rootWidget = mRootWidget;
}

AnalysisForm::~AnalysisForm()
{
}

bool AnalysisForm::initialize()
{
	connect(ui->btnDraw, SIGNAL(clicked()), this, SLOT(onBtnDrawClicked()) );
	connect(mRootWidget, SIGNAL(CanvasPainted()), this, SLOT(onRootCanvasDrawn()) );

	mRootWidget->GetCanvas()->Update();

	mRootWidget->resize(10,10);
	mRootWidget->resize(300,300);
	mRootWidget->show();

	mRootWidget->GetCanvas()->SetCanvasSize(250,250);

	return true;
}

void AnalysisForm::draw()
{
	std::cout << "drawing" << std::endl;

//	mRootWidget->show();
	mRootWidget->GetCanvas()->cd();  // makes mRootWidget's canvas the current drawing canvas
	mRootWidget->GetCanvas()->Clear();
	mRootWidget->GetCanvas()->SetFillColor(10);
	TGraph *myGraph;
	float x[] = {1,2,3};
	float y[] = {1.5, 3.0, 4.5};
	myGraph = new TGraph(3,x,y);
	myGraph->SetMarkerStyle(20);
	myGraph->Draw("AP");
	mRootWidget->GetCanvas()->Update();
}

//////////////////////// QT slots ////////////////////////////////
void AnalysisForm::onBtnDrawClicked()
{
	draw();
}

void AnalysisForm::onRootCanvasDrawn()
{
	std::cout << "Root is drawn" << std::endl;
}